GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
server.h File Reference
`#include "src/core/channel/channel_stack.h"`
`#include <grpc/grpc.h>`
`#include "src/core/transport/transport.h"`

Go to the source code of this file.

## Functions
grpc_server * | grpc_server_create_from_filters (const grpc_channel_filter **filters, size_t filter_count, const grpc_channel_args *args)
void | grpc_server_add_listener (grpc_server *server, void *listener, void(*start)(grpc_server *server, void *arg, grpc_pollset **pollsets, size_t npollsets), void(*destroy)(grpc_server *server, void *arg))
void | grpc_server_listener_destroy_done (void *server)
void | grpc_server_setup_transport (grpc_server *server, grpc_transport *transport, grpc_channel_filter const **extra_filters, size_t num_extra_filters, grpc_mdctx *mdctx, const grpc_channel_args *args)
const grpc_channel_args * | grpc_server_get_channel_args (grpc_server *server)
int | grpc_server_has_open_connections (grpc_server *server)

## Function Documentation

void grpc_server_add_listener | ( | grpc_server * | server,
|  | void * | listener,
|  | void(*)(grpc_server *server, void *arg, grpc_pollset **pollsets, size_t npollsets) | start,
|  | void(*)(grpc_server *server, void *arg) | destroy
| ) |  |

grpc_server* grpc_server_create_from_filters | ( | const grpc_channel_filter ** | filters,
|  | size_t | filter_count,
|  | const grpc_channel_args * | args
| ) |  |

const grpc_channel_args* grpc_server_get_channel_args | ( | grpc_server * | server | ) |

int grpc_server_has_open_connections | ( | grpc_server * | server | ) |

void grpc_server_listener_destroy_done | ( | void * | server | ) |

void grpc_server_setup_transport | ( | grpc_server * | server,
|  | grpc_transport * | transport,
|  | grpc_channel_filter const ** | extra_filters,
|  | size_t | num_extra_filters,
|  | grpc_mdctx * | mdctx,
|  | const grpc_channel_args * | args
| ) |  |